document.addEventListener("DOMContentLoaded", function() {
    var responseFamilias = []
    const modal = document.getElementById('modal-new-family')
    const element = document.getElementById('flotante')
    const filterInput = document.getElementById('search-padre')

    const observer = new MutationObserver((mutations) => {
        for (const mutation of mutations) {
            if (mutation.type === 'attributes' && mutation.attributeName === 'class') {
                if (modal.classList.contains('hidden')) {
                    responseFamilias = [] // ver si es necesario o no
                    element.innerHTML = ''
                    element.classList.add('hidden')
                }
            }
        }
    })

    observer.observe(modal, { attributes: true })

    //FIXME: para que no se cierren los modales con ESC solo algunos

    document.querySelectorAll('[data-toggle]').forEach(function(button) {
        const dropdownId = button.getAttribute('data-toggle')
        const dropdown = document.getElementById(dropdownId)

        if (dropdown) {
            button.addEventListener('click', function() {
                dropdown.classList.toggle('hidden')
            })
        } else {
            console.warn(`Dropdown with ID ${dropdownId} not found`)
        }
    })

    // BUSCADOR
    function crearItem({id, name}) {

        const div = document.createElement('div')
        div.className = 'w-full px-4 py-3 text-gray-800 text-sm cursor-pointer'
        div.dataset.id = id
        div.textContent = name
        div.addEventListener('click', () => {
            document.getElementById('valueIdPadre').innerText = id
            document.getElementById('search-padre').value = name
            document.getElementById('flotante').classList.toggle('hidden')
        })

        return div
    }

    function renderItems (items) {
        element.innerHTML = ''

        if (items.length) {
            items.forEach(item => {
                const div = crearItem(item)
                element.appendChild(div)
            })
        } else {
            const div = crearItem({ id: 0, name: 'No hay resultados' })
            element.appendChild(div)
        }


    }

    filterInput.addEventListener('click', () => {
        element.classList.toggle('hidden')

        if (!element.classList.contains('hidden')) {
            // peticion para traer la lista de familia padre
            responseFamilias = [
                { id: 1, name: 'Padre 1' },
                { id: 2, name: 'Padre 2' },
                { id: 3, name: 'Padre 3' },
                { id: 4, name: 'Padre 4' },
                { id: 5, name: 'Padre 5' },
                { id: 6, name: 'Padre 6' },
                { id: 7, name: 'Padre 7' },
                { id: 8, name: 'Padre 8' },
                { id: 9, name: 'Padre 9' },
            ]

            renderItems(responseFamilias)
        }
    })

    // Filtrar los items en tiempo real mientras se escribe en el input
    filterInput.addEventListener('input', () => {
        const query = filterInput.value.toLowerCase().trim()
        const filteredResponse = responseFamilias.filter(item => item.name.toLowerCase().includes(query))
        renderItems(filteredResponse)
        if (query === '') {
            document.getElementById('valueIdPadre').innerText = ''
        }
    })

    modal.addEventListener('click', (e) => {
        if (!element.contains(e.target) && e.target !== filterInput) {
            element.classList.add('hidden')
        }
    })
})