let arrayPayments = []

// lista de pagos
let table =
   new DataTable('#table_pagos', {
    responsive: true,
    paging: false,
    searching: false,
    info: false,
    language: {
        emptyTable: 'No hay pagos registrados',
    }
})

// tabla de form movimeinto
let table2 =
    new DataTable('#table_products_form', {
        responsive: true,
        paging: false,
        searching: false,
        info: false,
        language: {
            emptyTable: 'No hay productos agregados',
        }
    })

function addPayments() {
    const date = document.getElementById('dDate')
    const amount = document.getElementById('nMonto')

    if (date.value === '' || amount.value === '') {
        alert('Por favor, complete todos los campos')
        return
    }

    const payment = {
        index: arrayPayments.length + 1,
        date: date.value,
        amount: amount.value
    }

    arrayPayments.push(payment)
    renderPayments()

    date.value = ''
    amount.value = ''
}

function renderPayments() {
    table.clear()

    if (arrayPayments.length === 0) {
        table.draw()
        document.getElementById('nTotalPagos').value = 0
    } else {
        arrayPayments.map((payment) => {
            table.row.add([
                `<span>` + payment.date + `</span>`,
                `<div class="text-center">` + payment.amount + `</div>`,
                `<div class="text-center">
                    <button class="custom-button text-center text-danger-500"
                        onclick="removePayment(${payment.index})"
                    >
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
                            <path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0" />
                        </svg>
                    </button>
                </div>`
            ]).draw(false) // false -> actualizar la tabla sin resetear la paginación
        })
        const tbody = document.getElementById('tbody_pagos')
    
        const rows = Array.from(tbody.rows)
        
        document.getElementById('nTotalPagos').value = rows.reduce((total, row) => total + Number(row.cells[1].innerText), 0) 
    }

}

function removePayment(index) {
    arrayPayments = arrayPayments.filter((payment) => payment.index !== index)
    renderPayments()
}

document.getElementById('btn_add_pago').addEventListener('click', addPayments)
