<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Isula</title>

    <link rel="stylesheet" href="./assets/css/output.css">
    <link rel="stylesheet" href="./assets/css/styles.css">

    <script src="https://unpkg.com/vue@latest"></script>
    <script src="https://unpkg.com/@vuepic/vue-datepicker@latest"></script>
    <link rel="stylesheet" href="https://unpkg.com/@vuepic/vue-datepicker@latest/dist/main.css">

    <link rel="stylesheet" href="./assets/libraries/datatables/datatables.min.css">
    <link rel="stylesheet" href="./assets/libraries/datatables/responsive.min.css">
    <link rel="stylesheet" href="./assets/libraries/datatables/colReorder.min.css">

    <script src="./node_modules/flowbite/dist/flowbite.min.js"></script>
    
</head>
<body>
    <nav class="w-full bg-white lg:flex justify-between px-6 shadow-md lg:fixed lg:top-0 z-50">

        <!-- Menu desktop -->
        
            <div class="uppercase hidden lg:flex lg:text-sm xl:text-base items-center font-semibold gap-x-2">
                <img src="./assets/images/LOGO-ISULA-png.png" alt="logo" class="w-[70px] rounded-full cursor-pointer">
                
                <div class="flex items-center gap-x-1">
                    <img src="./assets/images/LOGO-ISULA-png.png" alt="logo_cliente" class="w-12 rounded-full overflow-hidden">
                    <span class="lg:text-sm">JJ CANCINO S.R.L</span>
                </div>
            </div>

            <div class="hidden lg:flex lg:text-sm items-center gap-x-4">
                <div class="space-x-2 font-semibold flex">
                    <button class="hover:bg-[#BDD4AD] px-3 py-2 rounded-md ease-in-out duration-150" type="button">Inicio</button>


                    <div class="relative">
                        <button class="btn_drop outline-0 hover:bg-[#BDD4AD] px-3 py-2 rounded-md ease-in-out duration-150 flex items-center gap-x-1" type="button" id="btn_operaciones">
                            <span>Operaciones</span>
                            <i>
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                                </svg>
                            </i>
                        </button>
    
                        <div id="dropdown_operaciones" class="bg-white shadow absolute w-[300px] rounded-md z-10 p-3 hidden">
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfafacturaciona.php">Generar Comprobantes</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfamovimiento.php">Movimientos</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfacotizacion.php">Cotizaciones</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfacredito.php">Creditos</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfanotacredito.php">Nota de Crédito</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfaguiaremision.php">Guía de Remisión</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfaguiaremisiontransportista.php">Guía de Remisión Transportista</a>
                            </div>
                            
                        </div>
                    </div>
                    
                    <div class="relative">
                        <button class="btn_drop outline-0 hover:bg-[#BDD4AD] px-3 py-2 rounded-md ease-in-out duration-150 flex items-center gap-x-1" type="button" id="btn_catalogos">
                            <span>Cat&aacute;logos</span>
                            <i>
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                                </svg>
                            </i>
                        </button>

                        <div id="dropdown_catalogos" class="bg-white shadow absolute w-[300px] rounded-md z-10 p-3 hidden">
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfaclienteproveedor.php">Cliente/Proveedor</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfaprodservicio.php">Productos/Servicios</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfafamilia.php">Familias de Productos</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfaalmacen.php">Almacenes</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfavendedor.php">Vendedores</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfaunidadmedida.php">Unidades de Medidas</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="wfatiposdocumentos.php">Tipos de Documentos</a>
                            </div>
                        </div>
                    </div>

                    <div class="relative">
                        <button class="btn_drop outline-0 hover:bg-[#BDD4AD] px-3 py-2 rounded-md ease-in-out duration-150 flex items-center gap-x-1" type="button" id="btn_reportes">
                            <span>Reportes</span>
                            <i>
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                                </svg>
                            </i>
                        </button>

                        <div id="dropdown_reportes" class="bg-white shadow absolute w-[300px] rounded-md z-10 p-3 hidden">
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="#">Item</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="#">Item</a>
                            </div>
                        </div>
                    </div>

                    <div class="relative">
                        <button class="btn_drop outline-0 hover:bg-[#BDD4AD] px-3 py-2 rounded-md ease-in-out duration-150 flex items-center gap-x-1" type="button" id="btn_config">
                            <span>Configuraci&oacute;n</span>
                            <i>
                                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                                    <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                                </svg>
                            </i>
                        </button>

                        <div id="dropdown_config" class="bg-white shadow absolute w-[300px] rounded-md z-10 p-3 hidden">
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="#">Item</a>
                            </div>
                            <div class="cursor-pointer hover:bg-[#BDD4AD] hover:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                                <a href="#">Item</a>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="flex items-center">
                    <img src="./assets/images/LOGO-ISULA-png.png" alt="logo_cliente" class="w-12 rounded-full overflow-hidden">
                    <span class="font-bold cursor-pointer hover:underline">Administrador</span>
                </div>
            </div>
        


        <!-- Menu mobile -->
            <div class="lg:hidden w-full h-16 flex items-center justify-between">
                <button type="button" id="btn_menu">
                    <svg id="icon_menu1" xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 24 24"><path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M4 4h2v2H4zm0 14h2v2H4zM18 4h2v2h-2zm0 7h2v2h-2zm-7 0h2v2h-2zm-7 0h2v2H4zm7-7h2v2h-2zm0 14h2v2h-2zm7 0h2v2h-2z"/>
                </svg>
                    <svg id="icon_menu2" xmlns="http://www.w3.org/2000/svg" width="32" height="32" viewBox="0 0 24 24" class="rotate-180 hidden">
                        <g fill="none" stroke="currentColor" stroke-linejoin="round" stroke-width="1.5">
                            <path d="M6 6L3 7.732V4.268z"/>
                        <path stroke-linecap="round" d="M3 12h18M10 6h11M3 18h18"/></g>
                    </svg>
                </button>

                <img src="./assets/images/LOGO-ISULA-png.png" alt="logo" class="w-16 rounded-full cursor-pointer">
            </div>
    </nav>

    <div id="content_menu" class="absolute hidden lg:hidden w-1/2 sm:w-1/3 bg-white rounded-b-md border shadow z-50 text-xs sm:text-sm md:text-base py-1 space-y-1 font-semibold">
        <div class="px-4">
            <button type="button" class="w-full px-2 flex justify-between items-center h-8">
                <span>Inicio</span>
            </button>
        </div>

        <div class="px-4">
            <button id="menu_operaciones" type="button" class="w-full px-2 flex justify-between items-center h-8 btnmb">
                <span>Operaciones</span>
                <i>
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                        <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                    </svg>
                </i>
            </button>
    
            <div id="submenu_operaciones" class="w-36 sm:w-44 md:w-56 absolute z-10 bg-white rounded-b-md shadow-md hidden flex-col py-3 px-2">
                
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfafacturaciona.php">Generar Comprobantes</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfamovimiento.php">Movimientos</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfacotizacion.php">Cotizaciones</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfacredito.php">Créditos</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="#">Nota de Crédito</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfaguiaremision.php">Guía de Remisión</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="#">Guía de Remisión Transportista</a>
                </div>

            </div>
        </div>

        <div class="px-4">
            <button id="menu_catalogos" type="button" class="w-full px-2 flex justify-between items-center h-8 btnmb">
                <span>Cat&aacute;logos</span>
                <i>
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                        <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                    </svg>
                </i>
            </button>
    
            <div id="submenu_catalogos" class="w-36 sm:w-44 md:w-56 absolute z-10 bg-white rounded-b-md shadow-md hidden flex-col gap-y-2 py-3 px-2">
                
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfaclienteproveedor.php">Cliente/Proveedor</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfaprodservicio.php">Productos/Servicios</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfafamilia.php">Familias de Productos</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfaalmacen.php">Almacenes</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfavendedor.php">Vendedores</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfaunidadmedida.php">Unidades de Medidas</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="wfatiposdocumentos.php">Tipos de Documentos</a>
                </div>
            
            </div>
        </div>

        <div class="px-4">
            <button id="menu_reportes" type="button" class="w-full px-2 flex justify-between items-center h-8 btnmb">
                <span>Reportes</span>
                <i>
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                        <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                    </svg>
                </i>
            </button>
    
            <div id="submenu_reportes" class="w-36 sm:w-44 md:w-56 absolute z-10 bg-white rounded-b-md shadow-md hidden flex-col gap-y-2 py-3 px-2">
                
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="#">Item</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="#">Item</a>
                </div>

            </div>
        </div>

        <div class="px-4">
            <button id="menu_config" type="button" class="w-full px-2 flex justify-between items-center h-8 btnmb">
                <span>Configuraci&oacute;n</span>
                <i>
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-4">
                        <path stroke-linecap="round" stroke-linejoin="round" d="m19.5 8.25-7.5 7.5-7.5-7.5" />
                    </svg>
                </i>
            </button>
    
            <div id="submenu_config" class="w-36 sm:w-44 md:w-56 absolute z-10 bg-white rounded-b-md shadow-md hidden flex-col gap-y-3 py-3 px-2">
            
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="#">Item</a>
                </div>
                <div class="cursor-pointer hover:bg-[#BDD4AD] active:bg-[#BDD4AD] active:pl-2.5 duration-150 ease-in-out p-2 rounded-md flex items-center justify-between">
                    <a href="#">Item</a>
                </div>

            </div>
        </div>

        <div class="flex items-center text-[10px] sm:text-sm gap-x-1">
            <img src="./assets/images/LOGO-ISULA-png.png" alt="logo_cliente" class="w-12 rounded-full overflow-hidden">
            <span>JJ CANCINO S.R.L</span>
        </div>

        <div class="flex items-center text-[10px] sm:text-sm gap-x-1">
            <img src="./assets/images/LOGO-ISULA-png.png" alt="logo_cliente" class="w-12 rounded-full overflow-hidden">
            <span class="font-bold cursor-pointer hover:underline">Administrador</span>
        </div>
    </div>
</body>

<!-- <script src="./assets/js/main.js"></script>
</html> -->