<?php

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">

    <div class="w-[95%] mx-auto mt-3 md:mt-8 rounded-xl p-4 md:pt-5 bgcard lg:mt-[90px] mb-3 min-h-[calc(100vh-130px)]">
        <div class="flex items-center justify-between">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Relaci&oacute;n completa de almacén</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">...</a>
                <span>></span>
                <a href="#" class="text-xs">Catálogos</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Almacén</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <div class="relative sm:flex items-center">
            <div class="w-full flex justify-between my-2">
                <button class="bg-[#09880F] text-white text-xs py-1 px-2 lg:px-4 rounded flex items-center gap-x-2"
                    data-modal-target="modal-new-almacen" data-modal-toggle="modal-new-almacen"
                >
					<svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="icon icon-tabler icons-tabler-filled icon-tabler-circle-plus w-4">
						<path stroke="none" d="M0 0h24v24H0z" fill="none"/>
						<path d="M4.929 4.929a10 10 0 1 1 14.141 14.141a10 10 0 0 1 -14.14 -14.14zm8.071 4.071a1 1 0 1 0 -2 0v2h-2a1 1 0 1 0 0 2h2v2a1 1 0 1 0 2 0v-2h2a1 1 0 1 0 0 -2h-2v-2z" />
					</svg>

					<span>Nuevo Almacén</span>
                </button>

                <button class="border-2 rounded p-1 text-white bg-[#09880F] outline-none border-white">
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-settings">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10.325 4.317c.426 -1.756 2.924 -1.756 3.35 0a1.724 1.724 0 0 0 2.573 1.066c1.543 -.94 3.31 .826 2.37 2.37a1.724 1.724 0 0 0 1.065 2.572c1.756 .426 1.756 2.924 0 3.35a1.724 1.724 0 0 0 -1.066 2.573c.94 1.543 -.826 3.31 -2.37 2.37a1.724 1.724 0 0 0 -2.572 1.065c-.426 1.756 -2.924 1.756 -3.35 0a1.724 1.724 0 0 0 -2.573 -1.066c-1.543 .94 -3.31 -.826 -2.37 -2.37a1.724 1.724 0 0 0 -1.065 -2.572c-1.756 -.426 -1.756 -2.924 0 -3.35a1.724 1.724 0 0 0 1.066 -2.573c-.94 -1.543 .826 -3.31 2.37 -2.37c1 .608 2.296 .07 2.572 -1.065z" />
                        <path d="M9 12a3 3 0 1 0 6 0a3 3 0 0 0 -6 0" />
                    </svg>
                </button>
            </div>
        
            <div class="w-full border border-gray-300 flex items-center rounded-lg overflow-hidden sm:absolute sm:w-2/4 lg:w-1/3 left-0 right-0 mx-auto">
                <span class="bg-[#09880F] text-white text-xs md:text-sm h-full py-2">
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-search w-4 mx-2">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" />
                        <path d="M21 21l-6 -6" />
                    </svg>
                </span>
                <input type="text" id="input_search" class="border-gray-300 border-l border-r-0 border-t-0 border-b-0 w-full py-2 px-2 text-xs lg:text-sm outline-none focus:ring-0 focus:border-[#7D7D7D]" placeholder="Buscar">
            </div>
        </div>

        <div class="flex flex-col md:flex-row md:gap-x-3">
            <div class="flex justify-between gap-x-10 md:gap-x-3 w-full md:w-1/3">
                <select name="" id="" class="bg-white outline-none border-gray-300 text-gray-500 border rounded-md text-sm mt-[4px] w-full focus:ring-0 focus:border-[#7D7D7D]">
                    <option value="01" selected>Venta</option>
                    <option value="02">Otro</option>
                </select>

        
                <div class="">
                    <button class="border rounded bg-red-500 text-white p-1 md:px-2 md:py-[6px] mt-[4px]">
                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-filter w-5">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                            <path d="M4 4h16v2.172a2 2 0 0 1 -.586 1.414l-4.414 4.414v7l-6 2v-8.5l-4.48 -4.928a2 2 0 0 1 -.52 -1.345v-2.227z" />
                        </svg>
                    </button>
                </div>
            </div>

            <div class="lg:flex-1 text-right">
                <select id="select_page" class="focus:ring-0 focus:border-[#7D7D7D] text-sm mt-1">
                    <option value="8">8</option>
                    <option value="20">20</option>
                    <option value="50">50</option>
                    <option value="100">100</option>
                </select>
            </div>
        </div>

        <div class="w-full mt-2">
        
            <!-- TABLE -->
            <table id="example" class="hover text-sm text-gray-800 bg-white display" style="width:100%;">

                <thead>
                    <tr class="bg-[#DEF9B6]">
                        <th class="border border-gray-300" style="text-align: center;">Nombre</th>
                        <th class="border border-gray-300" style="text-align: center;">Ubicación</th>
                        <th class="border border-gray-300" style="text-align: center;">Estado</th>
                        <th class="border border-gray-300" style="text-align: center;">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="border-b">
                        <td style="text-align: center;">Lima</td>
                        <td style="text-align: center;">Lima</td>
                        <td style="text-align: center;">
                            <span class="bg-[#29E5FF] text-gray-700 text-xs px-2 py-1 rounded-md font-semibold">Habilitado</span>
                        </td>
                        <td style="text-align: center;">
							<div class="flex justify-center items-center gap-x-1">
								<i class="text-blue-500 cursor-pointer">
									<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
										<path stroke-linecap="round" stroke-linejoin="round" d="M2.036 12.322a1.012 1.012 0 0 1 0-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178Z" />
										<path stroke-linecap="round" stroke-linejoin="round" d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z" />
									</svg>
								</i>

								<i class="text-green-500 cursor-pointer">
									<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
										<path stroke-linecap="round" stroke-linejoin="round" d="m16.862 4.487 1.687-1.688a1.875 1.875 0 1 1 2.652 2.652L10.582 16.07a4.5 4.5 0 0 1-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 0 1 1.13-1.897l8.932-8.931Zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0 1 15.75 21H5.25A2.25 2.25 0 0 1 3 18.75V8.25A2.25 2.25 0 0 1 5.25 6H10" />
									</svg>
								</i>

								<i class="text-danger-500 cursor-pointer">
									<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
										<path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0" />
									</svg>
								</i>
							</div>

						</td>
                    </tr>

                    <tr class="border-b">
                        <td style="text-align: center;">Lima</td>
                        <td style="text-align: center;">Lima</td>
                        <td style="text-align: center;">
                            <span class="bg-red-400 text-gray-700 text-xs px-2 py-1 rounded-md font-semibold">Inhabilitado</span>
                        </td>
                        <td style="text-align: center;">
							<div class="flex justify-center items-center gap-x-1">
								<i class="text-blue-500 cursor-pointer">
									<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
										<path stroke-linecap="round" stroke-linejoin="round" d="M2.036 12.322a1.012 1.012 0 0 1 0-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178Z" />
										<path stroke-linecap="round" stroke-linejoin="round" d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z" />
									</svg>
								</i>

								<i class="text-green-500 cursor-pointer">
									<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
										<path stroke-linecap="round" stroke-linejoin="round" d="m16.862 4.487 1.687-1.688a1.875 1.875 0 1 1 2.652 2.652L10.582 16.07a4.5 4.5 0 0 1-1.897 1.13L6 18l.8-2.685a4.5 4.5 0 0 1 1.13-1.897l8.932-8.931Zm0 0L19.5 7.125M18 14v4.75A2.25 2.25 0 0 1 15.75 21H5.25A2.25 2.25 0 0 1 3 18.75V8.25A2.25 2.25 0 0 1 5.25 6H10" />
									</svg>
								</i>

								<i class="text-danger-500 cursor-pointer">
									<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 28 28" stroke-width="1.5" stroke="currentColor" class="size-6">
										<path stroke-linecap="round" stroke-linejoin="round" d="m14.74 9-.346 9m-4.788 0L9.26 9m9.968-3.21c.342.052.682.107 1.022.166m-1.022-.165L18.16 19.673a2.25 2.25 0 0 1-2.244 2.077H8.084a2.25 2.25 0 0 1-2.244-2.077L4.772 5.79m14.456 0a48.108 48.108 0 0 0-3.478-.397m-12 .562c.34-.059.68-.114 1.022-.165m0 0a48.11 48.11 0 0 1 3.478-.397m7.5 0v-.916c0-1.18-.91-2.164-2.09-2.201a51.964 51.964 0 0 0-3.32 0c-1.18.037-2.09 1.022-2.09 2.201v.916m7.5 0a48.667 48.667 0 0 0-7.5 0" />
									</svg>
								</i>
							</div>

						</td>
                    </tr>
                    
                </tbody>

            </table>

        </div>


    </div>

</div>


<!-- modal pagos -->
	<div id="modal-new-almacen" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Nuevo Almacén</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 gap-y-6">

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar el nombre"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Nombre
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar la ubicación"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Ubicación
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">uno</option>
                                <option value="2">dos</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Estado
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        data-modal-hide="modal-new-almacen"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>


	
<?php
require_once './footer.php';
?>