<?php

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">

    <div class="w-[95%] mx-auto mt-3 md:mt-8 rounded-xl p-4 md:pt-5 bgcard lg:mt-[90px] mb-3 min-h-[calc(100vh-130px)]">
        <div class="flex items-center justify-between">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Relaci&oacute;n completa de crédito</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">...</a>
                <span>></span>
                <a href="#" class="text-xs">Operaciones</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Créditos</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <div class="relative sm:flex items-center">
            <div class="w-full flex justify-end my-2">
                <button class="border-2 rounded p-1 text-white bg-[#09880F] outline-none border-white">
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-settings">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10.325 4.317c.426 -1.756 2.924 -1.756 3.35 0a1.724 1.724 0 0 0 2.573 1.066c1.543 -.94 3.31 .826 2.37 2.37a1.724 1.724 0 0 0 1.065 2.572c1.756 .426 1.756 2.924 0 3.35a1.724 1.724 0 0 0 -1.066 2.573c.94 1.543 -.826 3.31 -2.37 2.37a1.724 1.724 0 0 0 -2.572 1.065c-.426 1.756 -2.924 1.756 -3.35 0a1.724 1.724 0 0 0 -2.573 -1.066c-1.543 .94 -3.31 -.826 -2.37 -2.37a1.724 1.724 0 0 0 -1.065 -2.572c-1.756 -.426 -1.756 -2.924 0 -3.35a1.724 1.724 0 0 0 1.066 -2.573c-.94 -1.543 .826 -3.31 2.37 -2.37c1 .608 2.296 .07 2.572 -1.065z" />
                        <path d="M9 12a3 3 0 1 0 6 0a3 3 0 0 0 -6 0" />
                    </svg>
                </button>
            </div>
        
            <div class="w-full border border-gray-300 flex items-center rounded-lg overflow-hidden sm:absolute sm:w-2/4 lg:w-1/3 left-0 right-0 mx-auto">
                <span class="bg-[#09880F] text-white text-xs md:text-sm h-full py-2">
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-search w-4 mx-2">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" />
                        <path d="M21 21l-6 -6" />
                    </svg>
                </span>
                <input type="text" id="input_search" class="border-gray-300 border-l border-r-0 border-t-0 border-b-0 w-full py-2 px-2 text-xs lg:text-sm outline-none focus:ring-0 focus:border-[#7D7D7D]" placeholder="Buscar">
            </div>
        </div>

        <div class="flex flex-col md:flex-row md:gap-x-3">
            <div id="app" class="w-full md:w-[32.6%] border-gray-400 rounded-lg outline-none text-3xl">
                <vue-date-picker range multi-calendars placeholder="Rango de Fechas" id="range"></vue-date-picker>
            </div>
        
            <div class="flex justify-between gap-x-10 md:gap-x-3 w-full md:w-1/3">
                <select name="" id="" class="bg-white outline-none border-gray-300 text-gray-500 border rounded-md text-sm mt-[4px] w-full focus:ring-0 focus:border-[#7D7D7D]">
                    <option value="01" selected>Venta</option>
                    <option value="02">Otro</option>
                </select>

        
                <div class="">
                    <button class="border rounded bg-red-500 text-white p-1 md:px-2 md:py-[6px] mt-[4px]">
                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-filter w-5">
                            <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                            <path d="M4 4h16v2.172a2 2 0 0 1 -.586 1.414l-4.414 4.414v7l-6 2v-8.5l-4.48 -4.928a2 2 0 0 1 -.52 -1.345v-2.227z" />
                        </svg>
                    </button>
                </div>
            </div>

            <div class="lg:flex-1 text-right">
                <select id="select_page" class="focus:ring-0 focus:border-[#7D7D7D] text-sm mt-1">
                    <option value="8">8</option>
                    <option value="20">20</option>
                    <option value="50">50</option>
                    <option value="100">100</option>
                </select>
            </div>
        </div>

        <div class="w-full mt-2">
        
            <!-- TABLE -->
            <table id="example" class="hover text-sm text-gray-800 bg-white display" style="width:100%;">

                <thead>
                    <tr class="bg-[#DEF9B6]">
                        <th class="border border-gray-300" style="text-align: center;">Fecha</th>
                        <th class="border border-gray-300" style="text-align: center;">Documento</th>
                        <th class="border border-gray-300" style="text-align: center;">Cliente/Proveedor</th>
                        <th class="border border-gray-300" style="text-align: center;">Moneda</th>
                        <th class="border border-gray-300" style="text-align: center;">Total</th>
                        <th class="border border-gray-300" style="text-align: center;">Por Pagar</th>
                        <th class="border border-gray-300" style="text-align: center;">Estado</th>
                        <th class="border border-gray-300" style="text-align: center;">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="border-b">
                        <td style="text-align: center;">30/05/2024</td>
                        <td style="text-align: center;">D001 19201</td>
                        <td style="text-align: center;">Cementos Pacasmayo S.A.A</td>
                        <td style="text-align: center;">Soles</td>
                        <td style="text-align: center;">30.29</td>
                        <td style="text-align: center;">30.29</td>
                        <td style="text-align: center;">
                            <span class="bg-green-200 text-green-700 text-xs px-2 py-1 rounded-md font-semibold">Registrado</span>
                        </td>
                        <td style="text-align: center;">
                            <div class="flex justify-center items-center gap-x-1">
                                <i data-modal-target="modal-list-payments" data-modal-toggle="modal-list-payments" class="text-green-500 cursor-pointer">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-list-check"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M3.5 5.5l1.5 1.5l2.5 -2.5" /><path d="M3.5 11.5l1.5 1.5l2.5 -2.5" /><path d="M3.5 17.5l1.5 1.5l2.5 -2.5" /><path d="M11 6l9 0" /><path d="M11 12l9 0" /><path d="M11 18l9 0" /></svg>
                                </i>

                                <i data-modal-target="modal-new-credit" data-modal-toggle="modal-new-credit" class="text-blue-500 cursor-pointer">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-database-dollar"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 6c0 1.657 3.582 3 8 3s8 -1.343 8 -3s-3.582 -3 -8 -3s-8 1.343 -8 3" /><path d="M4 6v6c0 1.657 3.582 3 8 3c.415 0 .822 -.012 1.22 -.035" /><path d="M20 10v-4" /><path d="M4 12v6c0 1.657 3.582 3 8 3c.352 0 .698 -.009 1.037 -.025" /><path d="M21 15h-2.5a1.5 1.5 0 0 0 0 3h1a1.5 1.5 0 0 1 0 3h-2.5" /><path d="M19 21v1m0 -8v1" /></svg>
                                </i>
                            </div>

                        </td>
                    </tr>
                    
                </tbody>

            </table>

        </div>


    </div>

</div>


<!-- modal pagos -->
	<div id="modal-list-payments" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-2xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Lista completa de Pagos</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 lg:grid-cols-2 gap-3">

                    <div class="col-span-1 lg:col-span-2">
                        <table id="table_list_pagos" class="hover text-sm text-gray-800 bg-white" style="width:100%; margin-top: 10px;">
                            <thead>
                                <tr class="bg-[#DEF9B6]">
                                    <th class="border border-gray-300" style="text-align: center;">Fecha</th>
                                    <th class="border border-gray-300" style="text-align: center;">Tipo de Pago</th>
                                    <th class="border border-gray-300" style="text-align: center;">Observación</th>
                                    <th class="border border-gray-300" style="text-align: center;">Importe</th>
                                    <th class="border border-gray-300" style="text-align: center;">Acciones</th>
                                </tr>
                            </thead>
                            <tbody id="tbody_list_pagos">
                                
                            </tbody>
                        </table>
                    </div>

                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        id="btn_cancelar_payments"
                        data-modal-hide="modal-list-payments"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>


<!-- modal registro credito -->
	<div id="modal-new-credit" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-2xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Crédito</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 gap-y-5">

					<div class="col-span-1">
						<label class="relative">
                            <input type="date"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="0.00"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Fecha
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <div>
                                    <option value="1">
                                        <span>1.8.1. ACEITE SPECIAL TEC AA</span>
                                    </option>
                                </div>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Medios de Pago
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="0.00"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Importe
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <div>
                                    <option value="1">
                                        <span>1.8.1. ACEITE SPECIAL TEC AA</span>
                                    </option>
                                </div>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Moneda
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D] bg-gray-50"
                                placeholder="0.00"
								disabled
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Tipo de Cambio
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
						<div class="relative">
							<label class="relative block">
								<textarea name="" id="" rows="6" id=""
									placeholder="Escribir las observaciones"
									class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 resize-none focus:ring-0 focus:border-[#7D7D7D]"
								></textarea>

								<span class="absolute left-2 -top-3 text-xs bg-white px-1">
									Observaciones
								</span>
							</label>
							<span class="text-xs text-gray-400 absolute -bottom-3 left-1">0/300</span>
						</div>
					</div>

                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        id="btn_cancelar_payments"
                        data-modal-hide="modal-new-credit"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>

	
<?php
require_once './footer.php';
?>
<script src="./assets/js/functions/credito.js"></script>