<?php

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">
<!-- bgcard -->
    <div class="w-[95%] mx-auto mt-3 md:mt-8 rounded-xl p-4 md:pt-5 bg-white lg:mt-[90px] mb-3 min-h-[calc(100vh-130px)]">
        <div class="flex items-center justify-between border-b-2 border-b-[#004B23]">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Relaci&oacute;n completa de unidades de medida</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">...</a>
                <span>></span>
                <a href="#" class="text-xs">Catálogos</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Unidades de Medida</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <div class="flex items-center justify-between h-10 mt-4">
            <button type="button" class="bg-[#09880F] text-white text-xs px-2 lg:px-4 rounded flex items-center gap-x-2 h-full"
                data-modal-target="modal-new-unidad" data-modal-toggle="modal-new-unidad"
            >
                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="icon icon-tabler icons-tabler-filled icon-tabler-circle-plus w-4">
                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                    <path d="M4.929 4.929a10 10 0 1 1 14.141 14.141a10 10 0 0 1 -14.14 -14.14zm8.071 4.071a1 1 0 1 0 -2 0v2h-2a1 1 0 1 0 0 2h2v2a1 1 0 1 0 2 0v-2h2a1 1 0 1 0 0 -2h-2v-2z" />
                </svg>

                <span>Nuevo Unidad</span>
            </button>

            <div class="w-full border border-gray-300 flex items-center rounded-lg overflow-hidden sm:w-2/4 lg:w-1/3 left-0 right-0 bg-white">
                <span class="bg-[#09880F] text-white text-xs md:text-sm h-full py-2">
                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-search w-4 mx-2">
                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                        <path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" />
                        <path d="M21 21l-6 -6" />
                    </svg>
                </span>
                <input type="text" id="input_search" class="border-gray-300 border-l border-r-0 border-t-0 border-b-0 w-full py-2 px-2 text-xs lg:text-sm outline-none focus:ring-0 focus:border-[#7D7D7D]" placeholder="Buscar">
            </div>
        </div>


        <div class="w-full mt-3 max-w-2xl bg-slate-100 rounded-lg mx-auto py-1 px-3 border-2 border-slate-300 min-h-[calc(100vh-260px)]">
            <div class="w-full grid grid-cols-1">
                <div class="pb-2 col-span-1">
                    <div class="flex justify-between items-center">
                        <div class="flex">
                            <button id="toggle-button" type="button">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-500 w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M6 9l6 6l6 -6" />
                                </svg>
                            </button>
    
                            <span class="text-xs ml-2 flex items-center gap-x-2">
                                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                    <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                    <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                                </svg>
                                TODAS LAS UNIDADES DE MEDIDA ()
                            </span>
                        </div>

                        <div>
                            <button id="dropdownMenuIconButton" data-dropdown-toggle="dropdownDots">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                    <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                </svg>
                            </button>
    
                            <div id="dropdownDots" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                                <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownMenuIconButton">
                                    <li class="px-3 text-left">
                                        <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                    </li>
                                    <li class="px-3 text-left">
                                        <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                    </li>
                                </ul>
                            </div>
                        </div>

                    </div>
                </div>

                <div id="dropdown-content" class="col-span-1 space-y-2 border-l-2 border-l-slate-300 ml-2 pl-5">
                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BALDE (BAL)
                        </span>

                        <button id="dropdownOptions1" data-dropdown-toggle="dropdownDots1">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots1" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions1">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BARRILES (BAR)
                        </span>

                        <button id="dropdownOptions2" data-dropdown-toggle="dropdownDots2">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots2" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions2">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BOBINAS (BOB)
                        </span>

                        <button id="dropdownOptions3" data-dropdown-toggle="dropdownDots3">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots3" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions3">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BOBINAS (BOB)
                        </span>

                        <button id="dropdownOptions3" data-dropdown-toggle="dropdownDots3">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots3" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions3">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BOBINAS (BOB)
                        </span>

                        <button id="dropdownOptions3" data-dropdown-toggle="dropdownDots3">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots3" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions3">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BOBINAS (BOB)
                        </span>

                        <button id="dropdownOptions3" data-dropdown-toggle="dropdownDots3">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots3" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions3">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BOBINAS (BOB)
                        </span>

                        <button id="dropdownOptions3" data-dropdown-toggle="dropdownDots3">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots3" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions3">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <div class="flex items-center justify-between">
                        <span class="text-xs ml-2 flex items-center gap-x-2">
                            <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" class="w-4">
                                <path d="M17.5 10.5L19.5 12.5M14 14L16 16M10.5 17.5L12.5 19.5" stroke="black" stroke-width="1.5" stroke-linecap="round"/>
                                <path d="M10.5355 4.67767C11.9002 3.31296 12.5826 2.6306 13.3438 2.3153C14.3587 1.8949 15.4991 1.8949 16.5141 2.3153C17.2753 2.6306 17.9576 3.31296 19.3223 4.67767C20.687 6.04238 21.3694 6.72474 21.6847 7.48594C22.1051 8.50088 22.1051 9.64126 21.6847 10.6562C21.3694 11.4174 20.687 12.0998 19.3223 13.4645L13.4645 19.3223C12.0998 20.687 11.4174 21.3694 10.6562 21.6847C9.64126 22.1051 8.50088 22.1051 7.48594 21.6847C6.72474 21.3694 6.04238 20.687 4.67767 19.3223C3.31296 17.9576 2.6306 17.2753 2.3153 16.5141C1.8949 15.4991 1.8949 14.3587 2.3153 13.3438C2.6306 12.5826 3.31296 11.9002 4.67767 10.5355L10.5355 4.67767Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                            BOBINAS (BOB)
                        </span>

                        <button id="dropdownOptions3" data-dropdown-toggle="dropdownDots3">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-dots-vertical w-4">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M12 12m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 19m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                                <path d="M12 5m-1 0a1 1 0 1 0 2 0a1 1 0 1 0 -2 0" />
                            </svg>
                        </button>

                        <div id="dropdownDots3" class="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44">
                            <ul class="py-2 text-sm text-gray-700" aria-labelledby="dropdownOptions3">
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#09880F] hover:bg-[#BDD4AD] hover:text-black duration-150 ease-in-out">Editar</button>
                                </li>
                                <li class="px-3 text-left">
                                    <button class="w-full text-left rounded-lg py-2 pl-3 hover:pl-3.5 text-[#F14545] hover:bg-red-300 hover:text-black duration-150 ease-in-out">Eliminar</button>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>

            </div>

        </div>


    </div>

</div>


<!-- modal nueva unidad -->
    <div id="modal-new-unidad" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-5xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Nueva Unidad de Medida</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 lg:grid-cols-4 gap-y-6 gap-x-4">

                    <div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">uno</option>
                                <option value="2">dos</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Padre
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1 lg:col-span-3">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar el nombre"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Nombre
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar la ubicación"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Alias
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar la ubicación"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Equivalencia
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="Ingresar la ubicación"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Unidad Sunat
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                    <div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <option value="1">uno</option>
                                <option value="2">dos</option>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Estado
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        data-modal-hide="modal-new-unidad"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>


<script>
    document.addEventListener("DOMContentLoaded", function() {
            const toggleButton = document.getElementById('toggle-button');
            const dropdownContent = document.getElementById('dropdown-content');

            toggleButton.addEventListener('click', function() {
                dropdownContent.classList.toggle('hidden');
            });
        });
</script>

	
<?php
require_once './footer.php';
?>